{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug philo",
            "type": "cppdbg",
            "request": "launch",
            "program": "${workspaceFolder}/philo/philo",
            "args": [
                "5", "800", "200", "200", "7"
            ],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}/philo",
            "environment": [],
            "externalConsole": false,
            "MIMode": "gdb",
            "setupCommands": [
                {
                    "description": "Enable pretty-printing for gdb",
                    "text": "-enable-pretty-printing",
                    "ignoreFailures": true
                }
            ],
            "preLaunchTask": "build philo",
            "miDebuggerPath": "/usr/bin/gdb",
            "logging": {
                "moduleLoad": false,
                "trace": false
            },
            "internalConsoleOptions": "openOnSessionStart"
        }
    ]
}